### Method

# Foundry LspManager load_client

#### Declaration [src]

    DexFuture*
    foundry_lsp_manager_load_client (
      FoundryLspManager* self,
      const char* language_id
    )

#### Description [src]

Loads a `FoundryLspClient` for the `language_id`.

If an existing client is already created for this language, that client will be returned.

#### Parameters

`language_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLspClient`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.